Class | Chef::Provider::Service::Windows
In: | lib/chef/provider/service/windows.rb
Parent: | Chef::Provider::Service

### Methods

disable_service enable_service load_current_resource restart_service start_service stop_service

### Constants

RUNNING | = | 'running'
STOPPED | = | 'stopped'
AUTO_START | = | 'auto start'
DISABLED | = | 'disabled'

### Public Instance methods

disable_service()
enable_service()
load_current_resource()
restart_service()
start_service()
stop_service()

[Validate]